パスワードを忘れた? アカウント作成
401814 journal

dcdcの日記: debianでemacs

日記 by dcdc

ここに書くのは久々か。

ともかく、apt-get で手に入るemacs21の設定が素でないからイヤだという理由で
自力コンパイル。その顛末。

調べればちょろちょろと情報はあるのですが、まぁまとめとして。

楽をするには、apt-get install emacs21で一回入れて、apt-get remove emacs21で
消しちゃう。

これにgccをいれてコンパイルすれば、バイナリはできるんだけど、
termcapがないです、と怒られるので、その対策。

まず、terminfoを使うように設定してコンパイル。
env CPPFLAGS="-DTERMINFO -DLIBS_TERMCAP=-lncurses" ./configure; make;
このとき、ncursesのライブラリがない、と怒られるので、
apt-get install libncurses5-devで入れておく。

これで、まさしく素のemacsの出来上がり。

一回emacs21パッケージを入れないとなると、
たぶん、ncurses-base, ncurses-bin, ncurses-termあたりが必要かも。
もしかしたらemacsen-commonとかも。

依存関係は適当に解消してくださいw

この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。
typodupeerror

Stay hungry, Stay foolish. -- Steven Paul Jobs

読み込み中...